OPD token generation
This is an API will be invoked from the PHR-HIU to share the user/patient profile with HMIS/LIMS.
Header
Authorisation will be provided by the gateway session API after the successful verification of client ID and Secret [ Example: ]
REQUEST-ID unique UUID[ Example: 18235d89-cb13-479d-ad71-7a57d5f669a8 ]
TIMESTAMP actual time of the requested was initiated[ Example: 2022-10-06T10:10:00.587Z ]
X-AUTH-TOKEN JWT Authentication token which was issued by ABDM after successful validation of username and password[ Example: ]
X-CM-ID consent manager ID[ Example: sbx ]
X-HIU-ID HIU ID[ Example: HIU ]
Request Body
intent This is a key value pair which contains the purpose [ Example: {purpose: PROFILE_SHARE } ]
metaData This is a key value pair which contains the location longitude and latitude[ Example: {HIP_ID: ABDM_HIP, context: 123, lat: 20.5937 long: 78.9629} ]
profile which contains user details. The access token from POST /api/hiecm/gateway/v3/sessions, sent with a Unique UUID for track the end to end request transaction Actual time of the request was initiated, ISO 8601 represents date and time by starting with the year, followed by the month, the day, the hour, the minutes, seconds and milliseconds Suffix of the consent manager to which the request was intended Identifier of the health information user to which the request was intended JWT Authentication token which was issued by ABDM after successful validation of username and password Bad Request The error code and message, if any occurred. ABDM-1006 - Bad Request, invalid request Body. May be returned either bare ( Unauthorized 900901 - Invalid Credentials. May be returned either bare or with a trailing ": " separator; match on the code itself and tolerate the separator. Not Found The error code and message, if any occurred. ABDM-1001 - No data found. May be returned either bare ( Request Timeout The error code and message, if any occurred. ABDM-1007 - Connection failed due to timeout. May be returned either bare ( Too Many Requests The error code and message, if any occurred. ABDM-1022 - Too many requests. May be returned either bare ( Internal Server Error 900900 - Unclassified Authentication Failure. May be returned either bare or with a trailing ": " separator; match on the code itself and tolerate the separator. Service Unavailable ABDM-1024 - Dependent service unavailable. May be returned either bare (Authorizations
Authorizationbearer tokenRequiredBearer prefix.Headers
REQUEST-IDstringRequiredTIMESTAMPstringRequiredX-CM-IDstringRequiredX-HIU-IDstringRequiredX-AUTH-TOKENstringRequiredResponses
400errorobjecterror.codestringRequiredABDM-1006) or with a trailing ": " separator (ABDM-1006: ); match on the code itself and tolerate the separator.error.messagestringRequired401codestringmessagestringdescriptionstring404errorobjecterror.codestringRequiredABDM-1001) or with a trailing ": " separator (ABDM-1001: ); match on the code itself and tolerate the separator.error.messagestringRequired408errorobjecterror.codestringRequiredABDM-1007) or with a trailing ": " separator (ABDM-1007: ); match on the code itself and tolerate the separator.error.messagestringRequired429errorobjecterror.codestringRequiredABDM-1022) or with a trailing ": " separator (ABDM-1022: ); match on the code itself and tolerate the separator.error.messagestringRequired500codestringmessagestringdescriptionstring503codestringRequiredABDM-1024) or with a trailing ": " separator (ABDM-1024: ); match on the code itself and tolerate the separator.messagestringRequired
Callbacks
- After this call, ABDM posts This API will be invoked to the HIU for sharing the response of HIECM's /api/hiecm/patient-share/v3/on-share API to
/api/v3/hiu/patient/on-share. Open the callback.